Qt 5.9 | Qt 3D | C++ Classes | QMorphTarget

Qt 5.9.9 Reference Documentation

# QMorphTarget Class

(Qt3DAnimation::QMorphTarget)

A class providing morph targets to blend-shape animation More...

Header: | #include <QMorphTarget>
qmake: | QT += 3danimation
Since: | Qt 5.9
Instantiated By: | MorphTarget

- List of all members, including inherited members

## Properties

- attributeNames : const QStringList

## Public Functions

| QMorphTarget(QObject *parent = nullptr)
void | addAttribute(Qt3DRender::QAttribute *attribute)
QVector<Qt3DRender::QAttribute *> | attributeList() const
QStringList | attributeNames() const
void | removeAttribute(Qt3DRender::QAttribute *attribute)
void | setAttributes(const QVector<Qt3DRender::QAttribute *> &attributes)

## Signals

void | attributeNamesChanged(const QStringList &attributeNames)

## Static Public Members

QMorphTarget * | fromGeometry(Qt3DRender::QGeometry *geometry, const QStringList &attributes)

## Detailed Description

A class providing morph targets to blend-shape animation

A Qt3DAnimation::QMorphTarget class is a convenience class, which provides a list of QAttributes, which the QMorphingAnimation uses to animate geometry. A QMorphTarget can also be created based on existing Qt3DRender::QGeometry.

## Property Documentation

### attributeNames : const QStringList

Holds a list of attribute names contained in the morph target.

Access functions:

QStringList | attributeNames() const

Notifier signal:

void | attributeNamesChanged(const QStringList &attributeNames)

## Member Function Documentation

### QMorphTarget::QMorphTarget(QObject *parent = nullptr)

Constructs a QMorphTarget with given parent.

### void QMorphTarget::addAttribute(Qt3DRender::QAttribute *attribute)

Adds an attribute the morph target. An attribute with the same name must not have been added previously to the morph target.

### QVector<Qt3DRender::QAttribute *> QMorphTarget::attributeList() const

Returns a list of attributes contained in the morph target.

### `[static]` QMorphTarget *QMorphTarget::fromGeometry(Qt3DRender::QGeometry *geometry, const QStringList &attributes)

Returns a morph target based on the attributes in the given geometry.

### void QMorphTarget::removeAttribute(Qt3DRender::QAttribute *attribute)

Removes an attribute from the morph target.

### void QMorphTarget::setAttributes(const QVector<Qt3DRender::QAttribute *> &attributes)

Sets attributes to the morph target. Old attributes are cleared.